"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var os_1 = require("os");
var withInfo = function (str) {
    if (str === void 0) { str = ''; }
    return str + ":" + os_1.hostname() + ":" + process.pid;
};
/**
 * `console.log` with hostname and PID info
 * @example
 * logWithInfo('foo') // => `foo:angr:1234`
 */
var logWithInfo = function (str) {
    if (str === void 0) { str = ''; }
    return console.log(withInfo(str));
};
exports.default = logWithInfo;
